/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/

package stripesbook.action;


import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.DontValidate;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.StrictBinding;
import net.sourceforge.stripes.validation.Validate;
import net.sourceforge.stripes.validation.ValidateNestedProperties;
import stripesbook.model.User;


@StrictBinding
public class UserFormActionBean extends BaseActionBean {

    private static final String FORM = "/WEB-INF/jsp/form.jsp";


    @ValidateNestedProperties({
        @Validate(field="lastName", required=true, minlength=2),
        @Validate(field="firstName", minlength=2)
    })
    private User user;
    
    /* ... */

    public User getUser() { return user; }
    public void setUser(User user) { this.user = user; }

    @DefaultHandler
    @DontValidate
    public Resolution form() {
        return new ForwardResolution(FORM);
    }
    public Resolution save() {
        return new ForwardResolution(FORM);
    }

}

